org.apache.solr.client.solrj.impl

## Class ConcurrentUpdateHttp2SolrClient

- java.lang.Object
- - org.apache.solr.client.solrj.SolrClient
  - - org.apache.solr.client.solrj.impl.ConcurrentUpdateHttp2SolrClient

All Implemented Interfaces:
  Closeable, Serializable, AutoCloseable

    public class ConcurrentUpdateHttp2SolrClient
    extends SolrClient

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`static class` `ConcurrentUpdateHttp2SolrClient.Builder` Constructs `ConcurrentUpdateHttp2SolrClient` instances from provided configuration.

### Constructor Summary

Constructors
`protected` `ConcurrentUpdateHttp2SolrClient(ConcurrentUpdateHttp2SolrClient.Builder builder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `blockUntilFinished()`
`void` `close()`
`void` `handleError(Throwable ex)`
`void` `onSuccess(org.eclipse.jetty.client.api.Response resp, InputStream respBody)` Intended to be used as an extension point for doing post processing after a request completes.
`NamedList<Object>` `request(SolrRequest request, String collection)` Execute a request against a Solr server for a given collection
`void` `setPollQueueTime(int pollQueueTime)`
`void` `shutdownNow()`

### Methods inherited from class org.apache.solr.client.solrj.SolrClient

`add, add, add, add, add, add, add, add, add, add, addBean, addBean, addBean, addBean, addBeans, addBeans, addBeans, addBeans, addBeans, addBeans, commit, commit, commit, commit, commit, commit, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteById, deleteByQuery, deleteByQuery, deleteByQuery, deleteByQuery, getBinder, getById, getById, getById, getById, getById, getById, getById, getById, optimize, optimize, optimize, optimize, optimize, optimize, ping, query, query, query, query, queryAndStreamResponse, queryAndStreamResponse, request, rollback, rollback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentUpdateHttp2SolrClient

    protected ConcurrentUpdateHttp2SolrClient(ConcurrentUpdateHttp2SolrClient.Builder builder)

### Method Detail

#### request

    public NamedList<Object> request(SolrRequest request,
                                     String collection)
                              throws SolrServerException,
                                     IOException

Description copied from class: `SolrClient`
Execute a request against a Solr server for a given collection

Specified by:
  `request` in class `SolrClient`
Parameters:
  `request` - the request to execute
  `collection` - the collection to execute the request against
Returns:
  a `NamedList` containing the response from the server
Throws:
  `SolrServerException` - if there is an error on the server
  `IOException` - If there is a low-level I/O error.

#### blockUntilFinished

    public void blockUntilFinished()

#### handleError

    public void handleError(Throwable ex)

#### onSuccess

    public void onSuccess(org.eclipse.jetty.client.api.Response resp,
                          InputStream respBody)

Intended to be used as an extension point for doing post processing after a request completes.

#### close

    public void close()

#### shutdownNow

    public void shutdownNow()

#### setPollQueueTime

    public void setPollQueueTime(int pollQueueTime)

Parameters:
  `pollQueueTime` - time for an open connection to wait for updates when the queue is empty.